package com.ag.algroithm.data;

import java.util.ArrayList;
import java.util.List;

public class ContantDataTwoChant {

    /**
     * 箱子分布图
     * @return
     */
    public List data(){

        List<CntrProerty> arrlist = new ArrayList<CntrProerty>();


        /*
         1排 1 呗 0 左边========
        * */
        CntrProerty cntrProerty = new CntrProerty();
        //一排，一层，一列（呗）A1
        cntrProerty.setRow(1);
        cntrProerty.setFloor(3);
        cntrProerty.setChant(1);
        cntrProerty.setCntrno("A1");
        cntrProerty.setDirect(0);//左边
        arrlist.add(cntrProerty);

       /*
        2 排 2呗 0 左边========
        * */
        CntrProerty cntrProertyTwoRowTwochant = new CntrProerty();
        //2排，一层，2列（呗）D1
        cntrProertyTwoRowTwochant.setRow(2);
        cntrProertyTwoRowTwochant.setFloor(3);
        cntrProertyTwoRowTwochant.setChant(2);
        cntrProertyTwoRowTwochant.setCntrno("BB1");
        cntrProertyTwoRowTwochant.setDirect(0);//左边
        CntrProerty cntrProertyTwoRowTwoFloorTwochant = new CntrProerty();




        /*
        1 排 3呗 1 右边========
        * */
        CntrProerty cntrProertyTwoRowTwochant1 = new CntrProerty();
        //2排，一层，2列（呗）H1
        cntrProertyTwoRowTwochant1.setRow(1);
        cntrProertyTwoRowTwochant1.setFloor(3);
        cntrProertyTwoRowTwochant1.setChant(3);
        cntrProertyTwoRowTwochant1.setCntrno("H1");
        cntrProertyTwoRowTwochant1.setDirect(1);//右边
        arrlist.add(cntrProertyTwoRowTwochant1);


          /*
        2 排 4呗 1 右边========
        **/
        CntrProerty cntrProertyTwoRowTwochant2 = new CntrProerty();
        //2排，一层，2列（呗）H1
        cntrProertyTwoRowTwochant2.setRow(2);
        cntrProertyTwoRowTwochant2.setFloor(3);
        cntrProertyTwoRowTwochant2.setChant(4);
        cntrProertyTwoRowTwochant2.setCntrno("KK1");
        cntrProertyTwoRowTwochant2.setDirect(1);//右边
        arrlist.add(cntrProertyTwoRowTwochant2);




        arrlist.add(cntrProertyTwoRowTwochant);
        arrlist.add(cntrProertyTwoRowTwoFloorTwochant);


        CntrProerty cntrProertyTwoRowTwochant4 = new CntrProerty();
        //1排，一层，4（呗）H1
        cntrProertyTwoRowTwochant4.setRow(1);
        cntrProertyTwoRowTwochant4.setFloor(3);
        cntrProertyTwoRowTwochant4.setChant(5);
        cntrProertyTwoRowTwochant4.setCntrno("L");
        cntrProertyTwoRowTwochant4.setDirect(1);//右边
        arrlist.add(cntrProertyTwoRowTwochant4);

      /*
       1 排 5呗 1 右边========
        * */
        CntrProerty cntrProertyTwoRowTwochant3 = new CntrProerty();
        //2排，一层，4（呗）H1
        cntrProertyTwoRowTwochant3.setRow(1);
        cntrProertyTwoRowTwochant3.setFloor(3);
        cntrProertyTwoRowTwochant3.setChant(4);
        cntrProertyTwoRowTwochant3.setCntrno("K");
        cntrProertyTwoRowTwochant3.setDirect(1);//右边
        arrlist.add(cntrProertyTwoRowTwochant3);


        return arrlist;
    }
}
